<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Blog Expert
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="pt-30 pb-30 mb-60 twp-article-wrapper">
        <header class="article-header text-center">
		<?php if ( is_single() ) : ?>
			<div class="post-category ribbon alt-bgcolor primary-font mb-20">
			    <span class="ribbon-span">
					<?php blog_expert_entry_category(); ?>
				</span>
			</div>
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<?php else : ?>
			<div class="post-category ribbon alt-bgcolor primary-font mb-20">
				<span class="ribbon-span">
			    	<?php blog_expert_entry_category(); ?>
				</span>
			</div>
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<?php endif; ?>
		</header>
	    <div class="entry-meta primary-font">
	        <?php blog_expert_posted_details(); ?>
	    </div><!-- .entry-meta -->
	   
	    <div class="entry-content twp-entry-content">
			<div class="twp-archive-content">
				<?php
				if (!is_single()) { ?>

				        <?php
				        $content = apply_filters('the_content', get_the_content());
				        $video = false;

				        // Only get video from the content if a playlist isn't present.
				        if (false === strpos($content, 'wp-playlist-script')) {
				            $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
				        }
				        if (!empty($video)) {
				            foreach ($video as $video_html) {
				                echo '<div class="entry-video">';
				                echo blog_expert_iframe_escape($video_html);
				                echo '</div>';
				                break;
				            }
				        } else {
				            if (get_the_post_thumbnail()) { ?>
				                <div class="post-thumbnail">
				                    <?php the_post_thumbnail(); ?>
				                </div>
				            <?php }
				        }

				        ?>
				    <?php
				}
				if( is_singular() ){
					the_content( sprintf(
						/* translators: %s: Name of current post. */
						wp_kses( __( 'Continue reading %s <i class="ion-ios-arrow-right read-more-right"></i>', 'blog-expert' ), array( 'span' => array( 'class' => array() ) ) ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					) );

					if( !class_exists('Booster_Extension_Class') && is_single() ):

				        wp_link_pages(array(
				            'before' => '<div class="page-links">' . esc_html__('Pages:', 'blog-expert'),
				            'after' => '</div>',
				        ));

				    endif;
				}
				?>
			</div>
	    </div><!-- .entry-content -->
		<div class="post-tags primary-font text-center text-uppercase">
			<?php blog_expert_entry_tags(); ?>
	    </div>
	</div>
</article><!-- #post-## -->
